Loading...
Searching...
No Matches
Opm::EulerUpstreamResidualDetails::UpdateForCell< UpstreamSolver, PressureSolution > Struct Template Reference

## Public Types

typedef UpstreamSolver::Vector | Vector
typedef UpstreamSolver::FIt | FIt
typedef UpstreamSolver::RP::PermTensor | PermTensor
typedef UpstreamSolver::RP::MutablePermTensor | MutablePermTensor

## Public Member Functions

| UpdateForCell (const UpstreamSolver &solver, const std::vector< double > &sat, const Vector &grav, const PressureSolution &psol, std::vector< double > &res)
template<class CIt>
void | operator() (const CIt &c) const

## Public Attributes

const UpstreamSolver & | s
const std::vector< double > & | saturation
const Vector & | gravity
const PressureSolution & | pressure_sol
std::vector< double > & | residual

The documentation for this struct was generated from the following files:

- opm/porsol/euler/EulerUpstreamResidual.hpp
- opm/porsol/euler/EulerUpstreamResidual_impl.hpp